org.eclipse.ease.lang.javascript

## Class JavaScriptHelper

- java.lang.Object
- - org.eclipse.ease.lang.javascript.JavaScriptHelper

    public final class JavaScriptHelper
    extends Object

### Field Summary

Fields
`static String` `SCRIPT_TYPE_JAVASCRIPT` Script type identifier for JavaScript.

### Constructor Summary

Constructors
Constructor and Description
`JavaScriptHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getSaveName(String identifier)`
`static ScriptType` `getScriptType()` Get the `ScriptType` for java script.
`static boolean` `isSaveName(String identifier)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCRIPT_TYPE_JAVASCRIPT

    public static final String SCRIPT_TYPE_JAVASCRIPT

Script type identifier for JavaScript. Must match with the script type 'name' from plugin.xml.

See Also:
  Constant Field Values

### Constructor Detail

#### JavaScriptHelper

    public JavaScriptHelper()

### Method Detail

#### getSaveName

    public static String getSaveName(String identifier)

#### isSaveName

    public static boolean isSaveName(String identifier)

#### getScriptType

    public static ScriptType getScriptType()

Get the `ScriptType` for java script.

Returns:
  script type definition